Package org.bukkit.event.player

# Class PlayerChatTabCompleteEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerChatTabCompleteEvent

@Deprecated public class PlayerChatTabCompleteEvent extends PlayerEvent
Deprecated.
This event is no longer fired due to client changes
Called when a player attempts to tab-complete a chat message.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerChatTabCompleteEvent(@NotNull Player who, @NotNull String message, @NotNull Collection<String> completions)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getChatMessage()`
Deprecated.
Gets the chat message being tab-completed.
`static @NotNull HandlerList`
`getHandlerList()`
Deprecated.
`@NotNull HandlerList`
`getHandlers()`
Deprecated.
`@NotNull String`
`getLastToken()`
Deprecated.
Gets the last 'token' of the message being tab-completed.
`@NotNull Collection<String>`
`getTabCompletions()`
Deprecated.
This is the collection of completions for this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerChatTabCompleteEvent

public PlayerChatTabCompleteEvent(@NotNull @NotNull Player who, @NotNull @NotNull String message, @NotNull @NotNull Collection<String> completions)
Deprecated.

## Method Details

### getChatMessage

@NotNull public @NotNull String getChatMessage()
Deprecated.
Gets the chat message being tab-completed.

Returns:
  the chat message

### getLastToken

@NotNull public @NotNull String getLastToken()
Deprecated.
Gets the last 'token' of the message being tab-completed.

The token is the substring starting with the character after the last space in the message.

Returns:
  The last token for the chat message

### getTabCompletions

@NotNull public @NotNull Collection<String> getTabCompletions()
Deprecated.
This is the collection of completions for this event.

Returns:
  the current completions

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()
Deprecated.